curl --request GET \
--url https://{api_endpoint}/api/v1/orchestrate/agents/{id}/chat-starter-settings \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "<string>",
"created_by": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"starter_prompts": {
"prompts": [
{
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"subtitle": "<string>",
"state": "<string>"
}
],
"is_default_prompts": false
},
"welcome_content": {
"welcome_message": "<string>",
"description": "<string>",
"is_default_message": false,
"is_default_description": false
}
}Retrieves welcome message and starter prompts of a specific agent by its id.
curl --request GET \
--url https://{api_endpoint}/api/v1/orchestrate/agents/{id}/chat-starter-settings \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "<string>",
"created_by": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"starter_prompts": {
"prompts": [
{
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"subtitle": "<string>",
"state": "<string>"
}
],
"is_default_prompts": false
},
"welcome_content": {
"welcome_message": "<string>",
"description": "<string>",
"is_default_message": false,
"is_default_description": false
}
}Documentation Index
Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
A specification for chat starter settings within an agent
Unique identifier for the agent or no_agent for UI get
ID of the tenant that owns this agent
ID of the user who created the agent
Creation timestamp
Last update timestamp
ID of the user who updated the agent
Agent Starter Prompts
Show child attributes
Agent Welcome Message
Show child attributes